<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="16.1.1" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="10.0.0" />
	<PackageReference Include="MediatR" Version="14.1.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DbFirst.Contracts\DbFirst.Contracts.csproj" />
    <ProjectReference Include="..\DbFirst.Domain\DbFirst.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Layouts\" />
  </ItemGroup>

</Project>
